TechDraw RadiusDimension: Difference between revisions

From FreeCAD Documentation
m ([[ | ]])
mNo edit summary
 
(31 intermediate revisions by 7 users not shown)
Line 1: Line 1:
<languages/>
<languages/>
<translate>
<translate>

<!--T:18-->
<!--T:18-->
{{Docnav
{{Docnav
|[[TechDraw_VerticalDimension|VerticalDimension]]
|[[TechDraw_Dimension_Vertical|New Vertical]]
|[[TechDraw_DiameterDimension|DiameterDimension]]
|[[TechDraw_Dimension_Diameter|New Diameter]]
|[[TechDraw_Module|TechDraw]]
|[[TechDraw_Workbench|TechDraw]]
|IconL=Techdraw_Dimension_Vertical.png
|IconL=TechDraw_VerticalDimension.svg
|IconR=TechDraw_DiameterDimension.svg
|IconC=Workbench_TechDraw.svg
|IconC=Workbench_TechDraw.svg
|IconR=Techdraw_Dimension_Diameter.png
}}
}}


<!--T:1-->
<!--T:1-->
{{GuiCommand
{{GuiCommand
|Name=TechDraw Dimension Radius
|Name=TechDraw RadiusDimension
|MenuLocation=TechDraw → Dimension Radius
|MenuLocation=TechDraw → Dimensions → Insert Radius Dimension
|Workbenches=[[TechDraw Module|TechDraw]]
|Workbenches=[[TechDraw_Workbench|TechDraw]]
|SeeAlso=[[TechDraw Dimension Diameter|TechDraw Dimension Diameter]]
|SeeAlso=[[TechDraw_DiameterDimension|TechDraw DiameterDimension]]
}}
}}


Line 22: Line 23:


<!--T:8-->
<!--T:8-->
The Dimension Radius tool adds a radius dimension to a View. The dimension may be applied to any Edge in the drawing which is a circle or circular arc. The distance will initially be the projected distance (ie as shown on the drawing), but this may be changed to the actual 3D distance using the {{Button|[[Image:TechDraw_Dimension_Link.svg|16px]] [[TechDraw_Dimension_Link|Link Dimension]]}} tool.
The '''TechDraw RadiusDimension''' tool adds a radius dimension to a View. The dimension may be applied to any edge which is a circle or circular arc.



</translate>
</translate>
[[Image:TechDraw_Dimension_Radius_example.png]]
[[Image:TechDraw_Dimension_Radius_example.png|130px]]
<translate>
<translate>
<!--T:9-->
<!--T:9-->
{{Caption|Measuring a circle, indicating the radius}}
{{Caption|Measuring a circle, indicating the radius}}


==How to use== <!--T:3-->
==Usage== <!--T:3-->


<!--T:10-->
<!--T:10-->
# Select a circle or circular arc in the drawing. (Note some arcs which appear to be circular are actually ellipses or BSplines. You cannot make a radius dimension in these cases)
# Select a circle or circular arc. The geometry may be selected in the [[3D_view|3D view]] or in the drawing. Note some arcs which appear to be circular are actually ellipses or B-splines. You cannot make a radius dimension in these cases.
# If you have selected geometry in the 3D view: add the correct TechDraw View to the selection by selecting it in the [[Tree_view|Tree view]].
# Press the {{Button|[[Image:Dimension_Radius.png|16px]] [[TechDraw Dimension Radius|Dimension Radius]]}} button
# There are several ways to invoke the tool:
# A dimension will be added to the View. The dimension may be dragged to the desired position.
#* Press the {{Button|[[Image:TechDraw_RadiusDimension.svg|16px]] [[TechDraw_RadiusDimension|Insert Radius Dimension]]}} button.
#* Select the {{MenuCommand|TechDraw → Dimensions → [[Image:TechDraw_RadiusDimension.svg|16px]] Insert Radius Dimension}} option from the menu.
# A dimension is added to the View.
# The dimension may be dragged to the desired position.
# If needed, add tolerances as described on [[TechDraw_Geometric_dimensioning_and_tolerancing#Tolerances|this page]].

===Display 3D measurement=== <!--T:21-->

<!--T:22-->
See [[TechDraw_LengthDimension#Display_3D_measurement|TechDraw LengthDimension]].

===Change properties=== <!--T:23-->

<!--T:20-->
To change the properties of a dimension object either double-click it in the drawing or in the [[Tree_view|Tree view]]. This will open the [[TechDraw_LengthDimension#Dimension_dialog|Dimension dialog]].


== Limitations == <!--T:11-->
== Limitations == <!--T:11-->


<!--T:12-->
<!--T:12-->
Dimension objects are vulnerable to "topological naming" issues. See the information in the [[TechDraw Dimension Length|TechDraw Dimension Length]] tool for more information.
Dimension objects are vulnerable to the "[[Topological_naming_problem|topological naming problem]]". See [[TechDraw_LengthDimension|TechDraw LengthDimension]].

==Notes== <!--T:25-->

<!--T:26-->
See [[TechDraw_LengthDimension#Notes|TechDraw LengthDimension]].


==Properties== <!--T:5-->
==Properties== <!--T:5-->


<!--T:13-->
<!--T:13-->
See [[TechDraw_LengthDimension#Properties|TechDraw LengthDimension]].
This object has the same properties as the [[TechDraw Dimension Length|TechDraw Dimension Length]] tool. See that tool for details.


==Scripting== <!--T:6-->
==Scripting== <!--T:6-->


<!--T:14-->
<!--T:14-->
{{Emphasis|See also:}} [[TechDraw API|TechDraw API]] and [[FreeCAD Scripting Basics|FreeCAD Scripting Basics]].
See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].


<!--T:15-->
<!--T:15-->
The Dimension Radius tool can be used in [[macros|macros]] and from the [[Python|Python]] console by using the following functions:
The Radius Dimension tool can be used in [[Macros|macros]] and from the [[Python|Python]] console by using the following functions:


</translate>
</translate>
{{Code|code=
{{Code|code=
dim1 = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewDimension','Dimension')
dim1 = FreeCAD.ActiveDocument.addObject("TechDraw::DrawViewDimension", "Dimension")
dim1.Type = "Radius"
dim1.Type = "Radius"
dim1.References2D=[(view1, 'Edge1')]
dim1.References2D=[(view1, "Edge1")]
rc = page.addView(dim1)
page.addView(dim1)
}}
}}
<translate>
<translate>
Line 68: Line 88:
<!--T:19-->
<!--T:19-->
{{Docnav
{{Docnav
|[[TechDraw_VerticalDimension|VerticalDimension]]
|[[TechDraw_Dimension_Vertical|New Vertical]]
|[[TechDraw_DiameterDimension|DiameterDimension]]
|[[TechDraw_Dimension_Diameter|New Diameter]]
|[[TechDraw_Module|TechDraw]]
|[[TechDraw_Workbench|TechDraw]]
|IconL=Techdraw_Dimension_Vertical.png
|IconL=TechDraw_VerticalDimension.svg
|IconR=TechDraw_DiameterDimension.svg
|IconC=Workbench_TechDraw.svg
|IconC=Workbench_TechDraw.svg
|IconR=Techdraw_Dimension_Diameter.png
}}
}}


<!--T:16-->
{{TechDraw Tools navi}}

<!--T:17-->
{{Userdocnavi}}
</translate>
</translate>
{{TechDraw Tools navi{{#translation:}}}}
{{clear}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 17:46, 27 July 2023

TechDraw RadiusDimension

Menu location
TechDraw → Dimensions → Insert Radius Dimension
Workbenches
TechDraw
Default shortcut
None
Introduced in version
-
See also
TechDraw DiameterDimension

Description

The TechDraw RadiusDimension tool adds a radius dimension to a View. The dimension may be applied to any edge which is a circle or circular arc.

Measuring a circle, indicating the radius

Usage

  1. Select a circle or circular arc. The geometry may be selected in the 3D view or in the drawing. Note some arcs which appear to be circular are actually ellipses or B-splines. You cannot make a radius dimension in these cases.
  2. If you have selected geometry in the 3D view: add the correct TechDraw View to the selection by selecting it in the Tree view.
  3. There are several ways to invoke the tool:
    • Press the Insert Radius Dimension button.
    • Select the TechDraw → Dimensions → Insert Radius Dimension option from the menu.
  4. A dimension is added to the View.
  5. The dimension may be dragged to the desired position.
  6. If needed, add tolerances as described on this page.

Display 3D measurement

See TechDraw LengthDimension.

Change properties

To change the properties of a dimension object either double-click it in the drawing or in the Tree view. This will open the Dimension dialog.

Limitations

Dimension objects are vulnerable to the "topological naming problem". See TechDraw LengthDimension.

Notes

See TechDraw LengthDimension.

Properties

See TechDraw LengthDimension.

Scripting

See also: Autogenerated API documentation and FreeCAD Scripting Basics.

The Radius Dimension tool can be used in macros and from the Python console by using the following functions:

dim1 = FreeCAD.ActiveDocument.addObject("TechDraw::DrawViewDimension", "Dimension")
dim1.Type = "Radius"
dim1.References2D=[(view1, "Edge1")]
page.addView(dim1)